Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Inspect a batch

GET/api/cli/posts/bulk
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Query parameters
batch_idstring<uuid>required
offsetinteger
min 0 · default: 0
limitinteger
min 1 · max 100 · default: 100
Responses
200

OK

batch_idstring<uuid>
itemsobject[]
totalinteger
has_moreboolean
warningsstring[]
nextstring
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://www.brainyshorts.com/api/cli/posts/bulk?batch_id=497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",
  "items": [
    {}
  ],
  "total": 0,
  "has_more": true,
  "warnings": [
    "string"
  ],
  "next": "string"
}